<p align="center">
  <a href="https://xmonad.org/">
    <img alt="XMonad logo" src="https://xmonad.org/images/logo-wrapped.svg" height=150>
  </a>
</p>
<p align="center">
  <a href="https://hackage.haskell.org/package/xmonad-contrib">
    <img alt="Hackage" src="https://img.shields.io/hackage/v/xmonad-contrib?logo=haskell">
  </a>
  <a href="https://github.com/xmonad/xmonad-contrib/blob/readme/LICENSE">
    <img alt="License" src="https://img.shields.io/github/license/xmonad/xmonad-contrib">
  </a>
  <a href="https://haskell.org/">
    <img alt="Made in Haskell" src="https://img.shields.io/badge/Made%20in-Haskell-%235e5086?logo=haskell">
  </a>
  <br>
  <a href="https://github.com/xmonad/xmonad-contrib/actions/workflows/stack.yml">
    <img alt="Stack" src="https://img.shields.io/github/workflow/status/xmonad/xmonad-contrib/Stack?label=Stack&logo=githubactions&logoColor=white">
  </a>
  <a href="https://github.com/xmonad/xmonad-contrib/actions/workflows/haskell-ci.yml">
    <img alt="Cabal" src="https://img.shields.io/github/workflow/status/xmonad/xmonad-contrib/Haskell-CI?label=Cabal&logo=githubactions&logoColor=white">
  </a>
  <a href="https://github.com/xmonad/xmonad-contrib/actions/workflows/nix.yml">
    <img alt="Nix" src="https://img.shields.io/github/workflow/status/xmonad/xmonad-contrib/Nix?label=Nix&logo=githubactions&logoColor=white">
  </a>
  <br>
  <a href="https://github.com/sponsors/xmonad">
    <img alt="GitHub Sponsors" src="https://img.shields.io/github/sponsors/xmonad?label=GitHub%20Sponsors&logo=githubsponsors">
  </a>
  <a href="https://opencollective.com/xmonad">
    <img alt="Open Collective" src="https://img.shields.io/opencollective/all/xmonad?label=Open%20Collective&logo=opencollective">
  </a>
</p>

# xmonad-contrib

**Community-maintained extensions for the [XMonad][web:xmonad] window manager.**

[xmonad core][gh:xmonad] is minimal, stable, yet extensible.
[xmonad-contrib][gh:xmonad-contrib] is home to hundreds of additional tiling
algorithms and extension modules. The two combined make for a powerful X11
window-manager with endless customization possibilities. They are, quite
literally, libraries for creating your own window manager.

## Installation

For installation and configuration instructions, please see:

 * [downloading and installing xmonad][web:download]
 * [installing latest xmonad snapshot from git][web:install]
 * [configuring xmonad][web:tutorial]

If you run into any trouble, consult our [documentation][web:documentation] or
ask the [community][web:community] for help.

## Contributing

We welcome all forms of contributions:

 * [bug reports and feature ideas][gh:xmonad-contrib:issues]
   (also to [xmonad][gh:xmonad:issues])
 * [bug fixes, new features, new extensions][gh:xmonad-contrib:pulls]
   (also to [xmonad][gh:xmonad:pulls])
 * documentation fixes and improvements: [xmonad][gh:xmonad],
   [xmonad-contrib][gh:xmonad-contrib], [xmonad-web][gh:xmonad-web]
 * helping others in the [community][web:community]
 * financial support: [GitHub Sponsors][gh:xmonad:sponsors],
   [Open Collective][opencollective:xmonad]

Please do read the [CONTRIBUTING][gh:xmonad:contributing] document for more
information about bug reporting and code contributions. For a brief overview
of the architecture and code conventions, see the [documentation for the
`XMonad.Doc.Developing` module][doc:developing]. If in doubt, [talk to
us][web:community].

## License

Code submitted to the xmonad-contrib repo is licensed under the same license
as xmonad core itself, with copyright held by the authors.

[doc:developing]: https://xmonad.github.io/xmonad-docs/xmonad-contrib/XMonad-Doc-Developing.html
[gh:xmonad-contrib:issues]: https://github.com/xmonad/xmonad-contrib/issues
[gh:xmonad-contrib:pulls]: https://github.com/xmonad/xmonad-contrib/pulls
[gh:xmonad-contrib]: https://github.com/xmonad/xmonad-contrib
[gh:xmonad-web]: https://github.com/xmonad/xmonad-web
[gh:xmonad:contributing]: https://github.com/xmonad/xmonad/blob/master/CONTRIBUTING.md
[gh:xmonad:issues]: https://github.com/xmonad/xmonad/issues
[gh:xmonad:pulls]: https://github.com/xmonad/xmonad/pulls
[gh:xmonad:sponsors]: https://github.com/sponsors/xmonad
[gh:xmonad]: https://github.com/xmonad/xmonad
[opencollective:xmonad]: https://opencollective.com/xmonad
[web:community]: https://xmonad.org/community.html
[web:documentation]: https://xmonad.org/documentation.html
[web:download]: https://xmonad.org/download.html
[web:install]: https://xmonad.org/INSTALL.html
[web:tutorial]: https://xmonad.org/TUTORIAL.html
[web:xmonad]: https://xmonad.org/
